Auth
Cette page n'est pas disponible en français. La version anglaise est affichée.
Authorize a client using a temporary token
Use this method to authorize a client from the Android app to the Trader's Room using a temporary token.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/my/auth/magic-link/exchange" \ -H "Content-Type: application/json" \ -d '{ "temporaryToken": "b5bb9d8014a0f9b1d61e21e796d78dccdf1352f23cd32812f4850b878ae4944c", "deviceFingerprint": "eyJ1c2VyX2FnZW50IjoiTW96aWxsYVwvNS4wIChXaW5kb3dzIE5UIDEwLjA7IFdpbjY0OyB4NjQpIEFwcGxlV2ViS2l0XC81MzcuMzYgKEtIVE1MLCBsaWtlIEdlY2tvKSBDaHJvbWVcLzExOC4wLjAuMCBTYWZhcmlcLzUzNy4zNiJ9" }'{ "data": { "tokens": { "accessToken": { "token": "string", "createdAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z" }, "refreshToken": { "token": "string", "createdAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z" } } }}{ "error": { "message": "string" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}